package com.inspect.patrol.linkage.block;

import com.inspect.base.core.utils.DateUtils;
import com.inspect.patrol.annotation.CimeAnnotation;
import com.inspect.patrol.annotation.FileNameAnnotation;

@FileNameAnnotation("videocfmresult.cime")
public class ConfirmBlock implements IBlock, ICimeXml {
   @CimeAnnotation("序号")
   private String serialNo;
   @CimeAnnotation("站序号")
   private String stationNo;
   @CimeAnnotation("监控索引号")
   private String monitorIndexNo;
   @CimeAnnotation("设备名称")
   private String deviceName;
   @CimeAnnotation("设备状态")
   private String deviceStatus = "分闸异常";
   @CimeAnnotation("事件时标")
   private String eventTime = DateUtils.getTime();

   public String getSerialNo() {
      return this.serialNo;
   }

   public void setSerialNo(String serialNo) {
      this.serialNo = serialNo;
   }

   public String getStationNo() {
      return this.stationNo;
   }

   public void setStationNo(String stationNo) {
      this.stationNo = stationNo;
   }

   public String getMonitorIndexNo() {
      return this.monitorIndexNo;
   }

   public void setMonitorIndexNo(String monitorIndexNo) {
      this.monitorIndexNo = monitorIndexNo;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public void setDeviceName(String deviceName) {
      this.deviceName = deviceName;
   }

   public String getDeviceStatus() {
      return this.deviceStatus;
   }

   public void setDeviceStatus(String deviceStatus) {
      this.deviceStatus = deviceStatus;
   }

   public String getEventTime() {
      return this.eventTime;
   }

   public void setEventTime(String eventTime) {
      this.eventTime = eventTime;
   }

   public CimeXmlFormat toCimeXmlFormat() {
      return new CimeXmlFormat("设备状态请求结果", "设备状态");
   }
}
